Compute_PostDist_Estimators_PEPLL = function(alpha, beta, m, n, x){
alpha1 = sum(x) + alpha
beta1 = m * n - sum(x) + beta

E1 = (beta1 + 1) * beta1 / ((alpha1 - 1) * (alpha1 + beta1)) ## alpha1 > 1
E2 = digamma(alpha1) - digamma(alpha1 + beta1)
E3 = (alpha1 + beta1 - 1) / (alpha1 - 1)
E4 = alpha1 / (alpha1 + beta1)

PostDist_theta = rbeta(n, shape1 = alpha1, shape2 = beta1)
E_pl = (2 + E1 - sqrt(E1 * (E1 + 4))) / 2
E_2 = E4
PEPLL_pl = (E1 + sqrt(E1 * (E1 + 4))) / 2 - log(E_pl) + E2 - E3 + 1
PEPLL_2 = E1 / (1 - E4) - log(E4) + E2 - E3 + 1

res = list(
PostDist_theta = PostDist_theta,
E_pl = E_pl,
E_2 = E_2, 
PEPLL_pl = PEPLL_pl,
PEPLL_2 = PEPLL_2
)
}

plot_estimator = function(Estimator_pl, Estimator_2, parameter, para_name){
dev.new()
col = c("blue", "red")
lty = 1:2
xlim = range(parameter)
ylim = range(Estimator_pl, Estimator_2)
plot(parameter, Estimator_pl, type = "n", xlim = xlim, ylim = ylim, xlab = substitute(parameter), ylab = "Estimator")
lines(parameter, Estimator_pl, lty = lty[1], col = col[1], lwd = 2)
lines(parameter, Estimator_2,  lty = lty[2], col = col[2], lwd = 2)
leg.txt = c("Estimator_pl", "Estimator_2")
legend("topright", legend = leg.txt, lty = lty, col = col)
savePlot(filename = paste("figure/Estimator_", para_name, "_change", sep = ""), type = c("pdf"))
savePlot(filename = paste("figure/Estimator_", para_name, "_change", sep = ""), type = c("jpg"))
}

plot_PEPLL = function(PEPLL_pl, PEPLL_2, parameter, para_name){
dev.new()
col = c("blue", "red")
lty = 1:2
xlim = range(parameter)
ylim = range(PEPLL_pl, PEPLL_2)
plot(parameter, PEPLL_pl, type = "n", xlim = xlim, ylim = ylim, xlab = substitute(parameter), ylab = "PEPLL")
lines(parameter, PEPLL_pl, lty = lty[1], col = col[1], lwd = 2)
lines(parameter, PEPLL_2,  lty = lty[2], col = col[2], lwd = 2)
leg.txt = c("PEPLL_pl", "PEPLL_2")
legend("topright", legend = leg.txt, lty = lty, col = col)
savePlot(filename = paste("figure/PEPLL_", para_name, "_change", sep = ""), type = c("pdf"))
savePlot(filename = paste("figure/PEPLL_", para_name, "_change", sep = ""), type = c("jpg"))
}
